package de.oaa.xxx.social.repository;

import de.oaa.xxx.social.entity.KommentarLikeEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.UUID;

public interface KommentarLikeRepository extends JpaRepository<KommentarLikeEntity, UUID> {

    long countByKommentarId(UUID kommentarId);

    Optional<KommentarLikeEntity> findByKommentarIdAndUserId(UUID kommentarId, UUID userId);

    void deleteByKommentarId(UUID kommentarId);

    void deleteByUserId(UUID userId);
}
